Page MenuHomePhabricator

Disable active user stats for Special:GadgetUsage on English Wikipedia
Closed, ResolvedPublic2 Story Points

Description

After https://gerrit.wikimedia.org/r/#/c/259684/ is fully deployed (Thursday, January 14), we should set $wgSpecialGadgetUsageActiveUsers to false for English Wikipedia (since it's too expensive) in the wmf-config files and deploy the config change.

Details

Related Gerrit Patches:

Event Timeline

kaldari created this task.Dec 19 2015, 12:29 AM
kaldari raised the priority of this task from to Normal.
kaldari updated the task description. (Show Details)
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2015, 12:29 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 19 2015, 1:25 AM

Are there any alternatives to just turning it off? I'm hoping perhaps it could be run less often (e.g. once a month) instead, or something?

Are there any alternatives to just turning it off? I'm hoping perhaps it could be run less often (e.g. once a month) instead, or something?

One alternative mentioned by JCrespo in T120895#1875104 is to increase the time limit on the server. I'm not sure a lot of people would be supporting that.
I'd try and talk to Aaron and other folks to see if this query can be optimized better somehow to make it run faster.
In the meantime though we should turn it off because the query not running means that the Total users column won't be updated either. And new gadgets won't show up as well.

I suspect the only real solution is fixing T54777.

DannyH set Security to None.
kaldari updated the task description. (Show Details)Jan 12 2016, 10:50 PM
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari edited a custom field.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 12 2016, 10:50 PM
kaldari updated the task description. (Show Details)Jan 12 2016, 10:51 PM
Reedy added a subscriber: Reedy.Jan 19 2016, 4:14 PM

Are there any alternatives to just turning it off? I'm hoping perhaps it could be run less often (e.g. once a month) instead, or something?

In theory, we could update it like we do other cached query pages

https://github.com/wikimedia/operations-puppet/blob/production/modules/mediawiki/manifests/maintenance/updatequerypages.pp

Change 264961 had a related patch set uploaded (by Kaldari):
Disable active user gadget stats on testwiki (in preparation for enwiki)

https://gerrit.wikimedia.org/r/264961

kaldari claimed this task.Jan 19 2016, 6:47 PM
kaldari updated the task description. (Show Details)

Change 264961 merged by jenkins-bot:
Disable active user gadget stats on testwiki (in preparation for enwiki)

https://gerrit.wikimedia.org/r/264961

Change 265185 had a related patch set uploaded (by Kaldari):
Disable active gadget user stats on enwiki since it takes too long

https://gerrit.wikimedia.org/r/265185

Change 265185 merged by jenkins-bot:
Disable active gadget user stats on enwiki since it takes too long

https://gerrit.wikimedia.org/r/265185

kaldari closed this task as Resolved.Jan 20 2016, 4:11 PM
kaldari moved this task from In Development to Q3 2018-19 on the Community-Tech-Sprint board.